All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class is subject to change. ***

## com.sas.iquery.metadata.business.step.relational
Class DataItemRankFilter

    com.sas.iquery.metadata.business.step.relational.DataItemRankFilter

All Implemented Interfaces:
  Base, BusinessModelResourceReferencer, ModelItem, StepFilterInterface, StepInterface, UsabilityInterface, PropertyChangeListenee, com.sas.util.LocalizableToStringInterface, java.beans.PropertyChangeListener, java.lang.Cloneable, java.util.EventListener

    public class DataItemRankFilter

A step that is used to specify a request for the creation of a flat listing, where data is restricted based on whether it achieved a specific ranking.
Refer to `DataItemRankFilter` for more specific information. Please note that the relational rank only implements the functionality of TopCount or BottomCount.

Field Summary
`static int` | `BOTTOM` Defines a rank order where ranking begins at the bottom of the cube going to the top.
`static int` | `COUNT` Defines a "Count" rank type where the numbers directly references the number of items to be returned.
`static java.lang.String` | `EVENT_BY_RANK_ORDER_CHANGED`
`static java.lang.String` | `EVENT_BY_RANK_TYPE_CHANGED`
`static java.lang.String` | `EVENT_VALUE_CHANGED`
`static int` | `PERCENT` Defines a "Percent" rank type where the value defines the items that fall within that percentage.
`static int` | `SUM` Define a "Sum" rank type where the value defines the number which the items must equal when summed together.At this time, sum for relational is not implemented.
`static int` | `TOP` Defines a rank order where ranking begins at the top of the cube going to the bottom.

Fields inherited from class com.sas.iquery.metadata.business.step.olap.BaseFilter
`EVENT_ACTION_TYPE_CHANGED, EVENT_LOCALIZABLE_LABELS_CHANGED`

Fields inherited from interface com.sas.iquery.metadata.business.step.StepFilterInterface
`APPEND_ACTION_TYPE, DIFFERENCE_ACTION_TYPE, INITIAL_ACTION_TYPE, INSERT_ACTION_TYPE, INTERSECT_ACTION_TYPE, PREPEND_ACTION_TYPE, SPECIAL_ACTION_TYPE, UNION_ACTION_TYPE`

Fields inherited from interface com.sas.iquery.metadata.business.Base
`EVENT_OBJECT_DEFINITION_CHANGED`

Fields inherited from interface com.sas.iquery.metadata.business.ModelItem
`EVENT_OBJECT_PROPERTY_CHANGED`

Constructor Summary
`DataItemRankFilter(int rankOrder, int value)` Constructor for DataItemRankFilter.
`DataItemRankFilter(int rankOrder, int value, boolean includeTies)` Constructor for DataItemRankFilter.

Method Summary
`int` | `getRankOrder()` This method returns the ranking criteria to be used for ranking (either TOP or BOTTOM).
`int` | `getRankType()` This method always generates COUNT.
`int` | `getValue()` This method returns the value to be used when ranking.
`boolean` | `isIncludeTies()` This method returns whether includeTies is true or false
`void` | `setRankOrder(int rankOrder)` This method defines the type of ranking criteria to use for ranking.
`void` | `setRankType(int rankType)` This method does not support anything, but COUNT at this time.
`void` | `setValue(int value)` This method defines the value to use when ranking.

Methods inherited from class com.sas.iquery.metadata.business.step.olap.BaseFilter
`getActionType, getDisplayedText, getLevels, setActionType`

Methods inherited from interface com.sas.iquery.metadata.business.BusinessModelResourceReferencer
`getResources`

Methods inherited from interface com.sas.iquery.metadata.PropertyChangeListenee
`addListener, getListeners, removeListener`

Methods inherited from interface com.sas.iquery.metadata.business.UsabilityInterface
`getReasonsUnusable, isUsableInQuery`

Field Detail

### EVENT_BY_RANK_ORDER_CHANGED

    public static final java.lang.String EVENT_BY_RANK_ORDER_CHANGED

See Also:
  Constant Field Values

### EVENT_BY_RANK_TYPE_CHANGED

    public static final java.lang.String EVENT_BY_RANK_TYPE_CHANGED

See Also:
  Constant Field Values

### EVENT_VALUE_CHANGED

    public static final java.lang.String EVENT_VALUE_CHANGED

See Also:
  Constant Field Values

### TOP

    public static final int TOP

  Defines a rank order where ranking begins at the top of the cube going to the bottom.

  See Also:
    Constant Field Values

### BOTTOM

    public static final int BOTTOM

  Defines a rank order where ranking begins at the bottom of the cube going to the top.

  See Also:
    Constant Field Values

### COUNT

    public static final int COUNT

  Defines a "Count" rank type where the numbers directly references the number of items to be returned. In each case, a value is specified which indicates the number of elements that will be included in the set.

  See Also:
    Constant Field Values

### PERCENT

    public static final int PERCENT

  Defines a "Percent" rank type where the value defines the items that fall within that percentage. At this time, percent for relational is not implemented.

  See Also:
    Constant Field Values

### SUM

    public static final int SUM

  Define a "Sum" rank type where the value defines the number which the items must equal when summed together.At this time, sum for relational is not implemented.

  See Also:
    Constant Field Values

Constructor Detail

### DataItemRankFilter

    public DataItemRankFilter(int rankOrder,
                              int value)

  Constructor for DataItemRankFilter.

  Parameters:
    `rankOrder` -
    `value` -

### DataItemRankFilter

    public DataItemRankFilter(int rankOrder,
                              int value,
                              boolean includeTies)

  Constructor for DataItemRankFilter.

  Parameters:
    `rankOrder` -
    `value` -
    `includeTies` -

Method Detail

### isIncludeTies

    public boolean isIncludeTies()

  This method returns whether includeTies is true or false

  Returns:
    whether includeTies is true or false

### setRankOrder

    public void setRankOrder(int rankOrder)

  This method defines the type of ranking criteria to use for ranking.

  Parameters:
    `rankOrder` - The type of ranking criteria to be used for ranking

### getRankOrder

    public int getRankOrder()

  This method returns the ranking criteria to be used for ranking (either TOP or BOTTOM).

  Returns:
    The ranking criteria to be used for ranking

### setRankType

    public void setRankType(int rankType)

  This method does not support anything, but COUNT at this time.

### getRankType

    public int getRankType()

  This method always generates COUNT.

### setValue

    public void setValue(int value)

  This method defines the value to use when ranking.

  Parameters:
    `value` - The value to be used when ranking

### getValue

    public int getValue()

  This method returns the value to be used when ranking.

  Returns:
    The value to be used when ranking

*** This class is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.